import { jsx, jsxs } from "react/jsx-runtime";
import React from "react";
import { render } from "@testing-library/react";
import { ThemeProvider, Button } from "../../..";
import Card from ".";
describe("<Card />", () => {
  describe("Snapshots", () => {
    it("should match snapshot with default Card", () => {
      const { container } = render(
        /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsxs(Card, { children: [
          /* @__PURE__ */ jsx(Card.Header, { children: "Hello World" }),
          /* @__PURE__ */ jsx(Card.Content, { children: "It's fine here" }),
          /* @__PURE__ */ jsx(Card.Actions, { children: /* @__PURE__ */ jsx(Button, { children: "Action's children must be Button" }) })
        ] }) })
      );
      expect(container).toMatchSnapshot();
    });
  });
});
